org.apache.ignite.internal.visor.node

## Class VisorNodeConfigurationCollectorTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<Void,VisorGridConfiguration>
    - - org.apache.ignite.internal.visor.node.VisorNodeConfigurationCollectorTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<Void>,VisorGridConfiguration>

    @GridInternal
    public class VisorNodeConfigurationCollectorTask
    extends VisorOneNodeTask<Void,VisorGridConfiguration>

Grid configuration data collect task.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorNodeConfigurationCollectorTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorNodeConfigurationCollectorJob` `job(Void arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorNodeConfigurationCollectorTask

    public VisorNodeConfigurationCollectorTask()

### Method Detail

#### job

    protected VisorNodeConfigurationCollectorJob job(Void arg)

Specified by:
  `job` in class `VisorMultiNodeTask<Void,VisorGridConfiguration,VisorGridConfiguration>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022